Package org.eclipse.remote.ui

# Class RemoteUIFileService

java.lang.Object
org.eclipse.remote.ui.RemoteUIFileService

All Implemented Interfaces:
  `IRemoteConnectionType.Service`, `IRemoteUIFileService`

public class RemoteUIFileService extends Object implements IRemoteUIFileService

Since:
  2.1

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RemoteUIFileService.Factory`

## Constructor Summary

Constructors
Constructor
Description
`RemoteUIFileService(IRemoteConnectionType connectionType)`

## Method Summary

Modifier and Type
Method
Description
`String`
`browseDirectory(org.eclipse.swt.widgets.Shell shell, String message, String filterPath, int flags)`
Browse for a remote directory.
`String`
`browseFile(org.eclipse.swt.widgets.Shell shell, String message, String filterPath, int flags)`
Browse for a remote file.
`List<String>`
`browseFiles(org.eclipse.swt.widgets.Shell shell, String message, String filterPath, int flags)`
Browse for a set of remote files.
`IRemoteConnection`
`getConnection()`
Get the last connection that was selected in the browser.
`IRemoteConnectionType`
`getConnectionType()`
`void`
`setConnection(IRemoteConnection connection)`
Set the connection to use for file browsing.
`void`
`showConnections(boolean enable)`
Show a list of available connections if possible.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteUIFileService

public RemoteUIFileService(IRemoteConnectionType connectionType)

## Method Details

### getConnectionType

public IRemoteConnectionType getConnectionType()

Specified by:
  `getConnectionType` in interface `IRemoteConnectionType.Service`

### browseDirectory

public String browseDirectory(org.eclipse.swt.widgets.Shell shell, String message, String filterPath, int flags)
Description copied from interface: `IRemoteUIFileService`
Browse for a remote directory. The return value is the path of the directory on the remote system. Equivalent to `DirectoryDialog`.

Specified by:
  `browseDirectory` in interface `IRemoteUIFileService`
Parameters:
  `shell` - workbench shell
  `message` - message to display in dialog
  `filterPath` - initial path to use when displaying files
  `flags` - option settings for dialog (not currently used) valid values are NONE (@see IRemoteUIConstants)
Returns:
  the path to the directory relative to the remote system or null if the browser was cancelled

### browseFile

public String browseFile(org.eclipse.swt.widgets.Shell shell, String message, String filterPath, int flags)
Description copied from interface: `IRemoteUIFileService`
Browse for a remote file. The return value is the path of the file on the remote system. Equivalent to `FileDialog`.

Specified by:
  `browseFile` in interface `IRemoteUIFileService`
Parameters:
  `shell` - workbench shell
  `message` - message to display in dialog
  `filterPath` - initial path to use when displaying files
  `flags` - options settings for dialog valid values are NONE, SAVE, or OPEN (@see IRemoteUIConstants)
Returns:
  the path to the file relative to the remote system or null if the browser was cancelled

### browseFiles

public List<String> browseFiles(org.eclipse.swt.widgets.Shell shell, String message, String filterPath, int flags)
Description copied from interface: `IRemoteUIFileService`
Browse for a set of remote files. The return value is a list of paths of the files on the remote system. Equivalent to `FileDialog`.

Specified by:
  `browseFiles` in interface `IRemoteUIFileService`
Parameters:
  `shell` - workbench shell
  `message` - message to display in dialog
  `filterPath` - initial path to use when displaying files
  `flags` - options settings for dialog (@see IRemoteUIConstants) valid values are NONE, SAVE, or OPEN (@see IRemoteUIConstants)
Returns:
  list of paths to the files relative to the remote system or null if the browser was cancelled

### getConnection

public IRemoteConnection getConnection()
Description copied from interface: `IRemoteUIFileService`
Get the last connection that was selected in the browser.

Specified by:
  `getConnection` in interface `IRemoteUIFileService`
Returns:
  selected connection

### setConnection

public void setConnection(IRemoteConnection connection)
Description copied from interface: `IRemoteUIFileService`
Set the connection to use for file browsing. The connection must support the IRemoteFileService service or it will be ignored.

Specified by:
  `setConnection` in interface `IRemoteUIFileService`
Parameters:
  `connection` - connection to use for file browsing

### showConnections

public void showConnections(boolean enable)
Description copied from interface: `IRemoteUIFileService`
Show a list of available connections if possible.

Specified by:
  `showConnections` in interface `IRemoteUIFileService`
Parameters:
  `enable` - enable connection list